# Ansible playbook

Ce repository contient tous les playbooks qui permettent d'automatiser la configuration et le déploiement du CN, du gNB et de l'UE pour le projet ingénieur 5G de l'Innovlab.

La commande permettant de lancer l'ensemble des installation est :
```
ansible-playbook -i inventory.ini  play.yml
```
Pour executer les différantes applications, il suffit d'utiliser les scripts `start`.

Ce playbooks installe :
- Le coeur de réseau d'Open5gs et de OAI qui peuvent être executer respectivement via les scripts
`start_open5gs` et `start_oai`
- Le gNB d'srsRAN qui peut être executer respectivement via le script `start`.
- srsUE servant de UE logiciel

Plusieurs rôles sont ainsi définis, à savoir :
- common : installation de paquets génériques
- core : pull la configuration et le script de lancement
- docker : installation de docker sur ubuntu 22.04
- gnb : installation de srsRAN
- uhd : installation du driver uhd et des optimisations conseillées par Ettus
- usrp : configuration réseau des usrps

Adaptez l'inventaire `inventory.ini` avec les adresses correspondantes à votre configuration pour déployer correctement les scripts.

Le schéma ci-dessous schématise la séquence d'actions effectuée pour l'UE.

![schema principe UE](./img/playbook_principle.png)
